Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005923 [JEDI VCL] 00 JVCL Components major sometimes 2012-06-28 15:09 2015-09-21 17:47
Reporter tetardd View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005923: TJvCustomURLGrabber can save a file of 0 size if internet connection not available.
Description If you don't have an internet connection, TJvCustomURLGrabber can still save a file/stream of size 0, which is not right as no internet connection means no file downloaded (compared to a genuine downloaded file that's empty).

Proposed fix:

TJvCustomURLGrabber = Class(...)
private
   ...
   FHasStartedGrabbing : Boolean;
   ...
End;


Constructor TJvCustomURLGrabber.Create(...);
Begin
    ...
    FHasStartedGrabbing := False;
End;

Procedure TJvCustomURLGrabber.DoEnded;
Begin
     // If the DoEnded is called and we did not start grabbing, do no handle
     // unexisting file/stream as empty ones!!!
     If Not FHasStartedGrabbing Then
          Exit;

     ...
End;

Procedure TJvCustomURLGrabberThread.SetGrabberStatus(Status : ...);
Begin
     ...
     If Status = gsGrabbing Then
          FGrabber.FhasStartedGrabbing := True;
End;
Additional Information Sorry, I can't give the full modified file, I have made extensive changes for my use and I just want to submit some key changes one by one for approval.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020340)
obones (administrator)
2013-01-15 15:09

Use the demo to reproduce
(0020518)
AHUser (developer)
2013-05-25 18:01

Added in svn revision 13529.

- Issue History
Date Modified Username Field Change
2012-06-28 15:09 tetardd New Issue
2013-01-15 15:09 obones Note Added: 0020340
2013-01-15 15:09 obones Status new => acknowledged
2013-05-25 18:01 AHUser Note Added: 0020518
2013-05-25 18:01 AHUser Status acknowledged => resolved
2013-05-25 18:01 AHUser Fixed in Version => Daily / SVN
2013-05-25 18:01 AHUser Resolution open => fixed
2013-05-25 18:01 AHUser Assigned To => AHUser
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker